Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OptaPlanner distribution 6.1.0.Beta4
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.optaplanner.benchmark.impl.statistic.bestscore
Class BestScoreProblemStatistic

    java.lang.Object
      org.optaplanner.benchmark.impl.statistic.ProblemStatistic
          org.optaplanner.benchmark.impl.statistic.bestscore.BestScoreProblemStatistic

    public class BestScoreProblemStatistic

extends ProblemStatistic

Field Summary
`protected List<File>` | `graphFileList`

Fields inherited from class org.optaplanner.benchmark.impl.statistic.ProblemStatistic
`problemBenchmarkResult, problemStatisticType, warningList`

Constructor Summary
`BestScoreProblemStatistic(ProblemBenchmarkResult problemBenchmarkResult)`

Method Summary
`SingleStatistic` | `createSingleStatistic(SingleBenchmarkResult singleBenchmarkResult)`
`List<File>` | `getGraphFileList()`
`void` | `writeGraphFiles(BenchmarkReport benchmarkReport)`

Methods inherited from class org.optaplanner.benchmark.impl.statistic.ProblemStatistic
`accumulateResults, fillWarningList, getAnchorId, getProblemBenchmarkResult, getProblemStatisticType, getSingleStatisticList, getWarningList, setProblemBenchmarkResult, writeChartToImageFile`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### graphFileList

    protected List<File> graphFileList

Constructor Detail

### BestScoreProblemStatistic

    public BestScoreProblemStatistic(ProblemBenchmarkResult problemBenchmarkResult)

Method Detail

### createSingleStatistic

    public SingleStatistic createSingleStatistic(SingleBenchmarkResult singleBenchmarkResult)

  Specified by:
    `createSingleStatistic` in class `ProblemStatistic`

### getGraphFileList

    public List<File> getGraphFileList()

  Returns:
    never null

### writeGraphFiles

    public void writeGraphFiles(BenchmarkReport benchmarkReport)

  Specified by:
    `writeGraphFiles` in class `ProblemStatistic`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OptaPlanner distribution 6.1.0.Beta4
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2014 JBoss by Red Hat. All Rights Reserved.